Chat with knowledge bases
curl --request POST \
--url http://co-mind-platform-host/v1/knowledgebase/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"knowledgebase_ids": [
"kb_abc123",
"kb_def456"
],
"temperature": 1,
"max_tokens": 2,
"top_p": 1,
"stream": false
}
'import requests
url = "http://co-mind-platform-host/v1/knowledgebase/chat/completions"
payload = {
"model": "gpt-4o-mini",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"knowledgebase_ids": ["kb_abc123", "kb_def456"],
"temperature": 1,
"max_tokens": 2,
"top_p": 1,
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4o-mini',
messages: [{content: '<string>', name: '<string>'}],
knowledgebase_ids: ['kb_abc123', 'kb_def456'],
temperature: 1,
max_tokens: 2,
top_p: 1,
stream: false
})
};
fetch('http://co-mind-platform-host/v1/knowledgebase/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"knowledge_base_context": {
"sources": [
{
"knowledgebase_id": "<string>",
"document_id": "<string>",
"title": "<string>",
"content": "<string>",
"page": 123,
"relevance_score": 123
}
]
}
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Rate limit exceeded",
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded"
}
}Knowledge Base
Chat with knowledge bases
OpenAI-compatible chat endpoint with knowledge base RAG support (stateless)
POST
/
v1
/
knowledgebase
/
chat
/
completions
Chat with knowledge bases
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
Example:
"gpt-4o-mini"
Show child attributes
Show child attributes
Knowledge base IDs to use for context
Example:
["kb_abc123", "kb_def456"]
Required range:
0 <= x <= 2Required range:
x >= 1Required range:
0 <= x <= 1⌘I

